## com.imcode.imcms.api
Class TestDefaultContentManagementSystem

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.imcode.imcms.api.TestDefaultContentManagementSystem

All Implemented Interfaces:
  junit.framework.Test

    public class TestDefaultContentManagementSystem

extends junit.framework.TestCase

Constructor Summary
`TestDefaultContentManagementSystem()`

Method Summary
`protected void` `setUp()`
`void` `testClone()`
`void` `testClonedCurrentUser()`
`void` `testRunAsSuperadmin()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestDefaultContentManagementSystem

    public TestDefaultContentManagementSystem()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### testClonedCurrentUser

    public void testClonedCurrentUser()

### testClone

    public void testClone()
                   throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

### testRunAsSuperadmin

    public void testRunAsSuperadmin()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`